
- name: Gather facts from consul_server
  ansible.builtin.setup:
  delegate_to: "server1"
  delegate_facts: true
  register: consul_server_facts

# BEGIN
- name: server ip
  ansible.builtin.set_fact:
    consul_server_ip: "{{ consul_server_facts['ansible_facts']['ansible_all_ipv4_addresses'] | ansible.netcommon.ipaddr('10.110.0.0/20') | first }}"

# END

- debug:
    var: consul_server_ip
